<!--Adding Template Specific Style -->
<?php
wp_enqueue_style( 'qcld_express_basic_style',QCLD_EXPRESS_PLUGIN_DIR_URL ."/templates/$qcld_express_template/style.css");
?>
<?php if(isset($qcld_express_background) && isset($qcld_express_altern)){?>
    <style>
        .express-shop-wrapper{
            background-color: <?php echo $qcld_express_background; ?>;
        }
        .qcld-express-row:nth-of-type(even) {
            background-color: <?php echo $qcld_express_altern; ?>;
        }
    </style>
<?php }?>
<?php if(isset($qcld_express_custom_style)){?>
    <style>
        <?php echo  $qcld_express_custom_style;?>
    </style>
<?php }?>
<div class="express-shop-wrapper">
  <div class="cart" id="qcld-express-cart-container">
  </div>
  <form method="get" action="<?php echo get_the_permalink(); ?>">
  <div class="qcld-express-table qcld-express-product-container">
    <div class="qcld-express-row header">
      <?php
      //Sku show or not
      if(isset($qcld_express_sku) && $qcld_express_sku=='on' ){
       ?>
      <div class="qcld-express-cell qcld-express-sku-cell">
        <p class="qcld-express-sku-heading">  <a id="sku-sort"  href="<?php echo get_the_permalink(); ?>?product_list_order"> SKU </a> </p>
          <?php if(!isset($_GET['category'] )){?>
          <input type="text" name="sku"   placeholder="Sku">
          <?php } ?>
      </div>
        <?php }
        //Image thumnail show or not
        if(isset($qcld_express_thumbnail) && $qcld_express_thumbnail=='on' ){
        ?>
      <div class="qcld-express-cell qcld-express-thumb-cell">
          <p class="qcld-express-thumbnail-heading">Thumbnail</p>
      </div>
      <?php }
      //Title show or not
      if(isset($qcld_express_title) && $qcld_express_title=='on' ){
      ?>
      <div class="qcld-express-cell qcld-express-title-cell">
          <p class="qcld-express-title-heading"> <a id="title-sort" href="<?php echo get_the_permalink(); ?>?product_list_order">Title</a> </p>
          <?php if(!isset($_GET['category'] )){?>
          <input type="text" name="title" id="title" placeholder="Title">
          <?php } ?>
      </div>
      <?php }
      //Description show or not
      if(isset($qcld_express_description) && $qcld_express_description=='on' ){
      ?>
      <div class="qcld-express-cell qcld-express-desc-cell">
          <p class="qcld-express-desc-heading"> Description</p>
      </div>
      <?php }
      //Availability show or not
      if(isset($qcld_express_stock) && $qcld_express_stock=='on' ){
      ?>
	  <div class="qcld-express-cell qcld-express-avail-cell">
          <p class="qcld-express-avail-heading">Availability</p>
      </div>
      <?php }
      //Price show or not
      if(isset($qcld_express_price) && $qcld_express_price=='on' ){
      ?>
	  <div class="qcld-express-cell qcld-express-price-cell">
          <p class="qcld-express-price-heading"><a id="price-sort" href="<?php echo get_the_permalink(); ?>?product_list_order">Price</a> </p>
          <?php if(!isset($_GET['category'] )){?>
          <input type="number" name="price_min" id="price_min" placeholder="From" style="max-width:40%;display:inline-block"> - <input type="number" name="price_max" id="price_max" placeholder="To" style="max-width:40%;display:inline-block">
          <?php } ?>
      </div>
      <?php }
      // Action show or not
      if(isset($qcld_express_action) && $qcld_express_action=='on' ){
      ?>
	  <div class="qcld-express-cell qcld-express-action-cell">
          <p class="qcld-express-action-heading">Action</p>
          <?php if(!isset($_GET['category'] )){?>
          <button type="submit" id="submit_search">Search</button>
          <?php } ?>
      </div>
      <?php } ?>
    </div>

    <?php
    //Creating WooCommerce product factory.
    $wc_pf = new WC_Product_Factory();
    //repeating the products
    if ($product_query->have_posts()) :
     //foreach($products as $P){
    while ($product_query->have_posts()) : $product_query->the_post();
	     $product = $wc_pf->get_product(get_the_ID());

      //var_dump($product);
         //Checking for image thumb.
         $qcld_thumb = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'shop_thumbnail' );
         if(!empty($qcld_thumb)){
             $image =$qcld_thumb;
         }else{
             $image[0] =QCLD_EXPRESS_IMG_URL.'/placeholder.png';
         }
         ?>
    <div class="qcld-express-row">
     <?php
    //Sku show or not
     if(isset($qcld_express_sku) && $qcld_express_sku=='on' ){
     ?>
      <div class="qcld-express-cell qcld-express-sku-cell">
          <p class="qcld-express-sku"> <?php echo $product->get_sku(); ?></p>
      </div>
     <?php }
     //Image thumnail show or not
     if(isset($qcld_express_thumbnail) && $qcld_express_thumbnail=='on' ){
     ?>
	  <div class="qcld-express-cell qcld-express-thumb-cell">
          <p class="qcld-express-thumbnail"> <a href="<?php echo get_permalink(get_the_ID())?>">
              <img class="qlcd-express-list-thumb" src="<?php  echo $image[0]; ?>"  alt=" <?php  echo get_the_title(get_the_ID()); ?>"/>
              </a></p>
      </div>
     <?php }
     //Title show or not
     if(isset($qcld_express_title) && $qcld_express_title=='on' ){
     ?>
	  <div class="qcld-express-cell qcld-express-title-cell">
          <h3 class="qcld-express-title"><a href="<?php echo get_permalink(get_the_ID())?>">
              <?php  echo get_the_title(get_the_ID()); ?>
              </a> </h3>
      </div>
     <?php }
     //Description show or not
     if(isset($qcld_express_description) && $qcld_express_description=='on' ){
     ?>
	  <div class="qcld-express-cell qcld-express-desc-cell">
          <p class="qcld-express-desc"><?php  echo get_the_excerpt(get_the_ID()); ?></p>
      </div>
     <?php }
     //Availability show or not
     if(isset($qcld_express_stock) && $qcld_express_stock=='on' ){
     ?>
	  <div class="qcld-express-cell qcld-express-avail-cell">
          <p class="qcld-express-avail">
              <?php if($product->get_stock_status() == 'instock'){ ?>
              <span class="qcld-express-avail-in"> In Stock</span>
             <?php } else{ ?>
                  <span class="qcld-express-avail-out"> Out of Stock </span>
            <?php   } ?>
          </p>
      </div>
     <?php }
     //Price show or not
     if(isset($qcld_express_price) && $qcld_express_price=='on' ){
     ?>
      <div class="qcld-express-cell qcld-express-price-cell">
          <p class="qcld-express-price"><?php echo $product->get_price_html() ?></p>
      </div>
     <?php }
     // Action show or not
     if(isset($qcld_express_action) && $qcld_express_action=='on' ){
     ?>
      <div class="qcld-express-cell qcld-express-action-cell">
          <p class="qcld-express-action">
         <?php if($product->get_type()=='variable' ){?>
             <button type="button" data-fancybox data-src="#qcld-express-modal-fancy"  class="qcld_express_v_p qcld_express_config" p-id="<?php echo get_the_ID() ?>">Configure</button>
          <?php }else{ ?>
             <button type="button" class="qcld_express_s_p" p-id="<?php echo get_the_ID() ?>"p-price="<?php echo $product->get_price(); ?>"><img src="<?php echo QCLD_EXPRESS_IMG_URL ?>/add-to-cart.png" width="60" height="30"/></button>
          <?php } ?>
          </p>
      </div>
     <?php }//End of show or not ?>
    </div>
    <?php endwhile; ?>
        <?php wp_reset_postdata(); ?>
    <?php else: ?>
        <p style="text-align:center ">
            <?php _e('No Products'); ?>
        </p>
    <?php endif; ?>
  </div>
  </form>
</div>
