jQuery(document).ready(function($) {
    /**********************************
     Products Showing Mode.
     *********************************/
    //Disable infinite scroll for free version
    $('#qcld_express_show_mode-1').attr('disabled',true);
    $('label[for="qcld_express_show_mode-1"]').html('Infinite Scrolling ( <strong style="color:red">Pro Feature</strong> )');
    //Handling the Show product mode.
    if($('input[type=radio][name="qcld_express_options[qcld_express_show_mode]"]:checked').val()=='all'){
        $("#setting_qcld_express_product_per_page").css({'display':'none'});
    }
    $('input[type=radio][name="qcld_express_options[qcld_express_show_mode]"]').change(function() {
        if (this.value == 'more') {
            $("#setting_qcld_express_product_per_page").css({'display':'block'});
        }
        else{
            $("#setting_qcld_express_product_per_page").css({'display':'none'});
        }
    });
    //limit show per page product
    $("#qcld_express_product_per_page").attr('disabled',true);
    $("#setting_qcld_express_product_per_page").find('h3').html('Set products per page for Infinite Scroll and Load More Products ( <strong style="color:red">Pro Feature</strong> )');
    /**********************************
     Disable exclude the categories to display products.
     *********************************/
    $("#setting_qcld_express_category").find('h3').html('Exclude Categories to show products ( <strong style="color:red">Pro Feature</strong> )');
    $("#setting_qcld_express_category input:checkbox").attr("disabled",true);
    $("#setting_qcld_express_filter").find('h3').html('Endable category filter ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_filter-0").attr("disabled",true);
    $("#qcld_express_filter-1").attr("disabled",true);

    /**********************************
     Product Showing Template disabled.
     *********************************/
    $("#qcld_express_template option[value='animation']").attr("disabled",true).html('Animated Template ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_template option[value='slope']").attr("disabled",true).html('Alternative Slope Angle ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_template option[value='gradient']").attr("disabled",true).html('Alternative Linear Gradient Template (03)  ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_template option[value='restaurent']").attr("disabled",true).html('Alternative Restaurent Template (04)  ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_template option[value='restaurent-2']").attr("disabled",true).html('Alternative Restaurent Template 2 (05)  ( <strong style="color:red">Pro Feature</strong> )');

    $("#setting_qcld_express_stock_alert").find('h3').html('Set Show Low Stock Alert Beside Availability ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_stock_alert").attr("disabled",true);

    $("#setting_qcld_express_cart_mode").find('h3').html('Express Shop cart summary style ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_cart_mode-0").attr("disabled",true);
    $("#qcld_express_cart_mode-1").attr("disabled",true);
    $("#qcld_express_cart_mode-2").attr("disabled",true);

    $("#setting_qcld_express_openclose").find('h3').html('Show Opening and Closing Hours ( <strong style="color:red">Pro Feature</strong> )');
    $("#setting_qcld_express_openclose").attr("disabled",true);
    
    $("#setting_qcld_express_openclose_id").find('h3').html('Opening and Closing Hours (Set id) ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_openclose_id").attr("disabled",true);
    
    $("#setting_qcld_express_min_num_price").find('h3').html('Set Minimum Price for Checkout Order ( <strong style="color:red">Pro Feature</strong> )');
    $("#setting_qcld_express_min_num_price").attr("disabled",true);
    
    $("#setting_qcld_express_filter").find('h3').html('Fixed Position Category Filters ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_sticky-0").attr("disabled",true);

    $("#setting_qcld_express_sticky").find('h3').html('Fixed Position Category Filters ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_sticky-1").attr("disabled",true);

    $("#setting_qcld_express_top_img").find('h3').html('Restaurent Template Right Top Image ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_top_img").attr("disabled",true);
    $("#setting_qcld_express_top_img .option-tree-ui-button").hide();

    $("#setting_qcld_express_bottom_img").find('h3').html('Restaurent Template Left Bottom Image ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_bottom_img").attr("disabled",true);
    $("#setting_qcld_express_bottom_img .option-tree-ui-button").hide();


    // Language 
    $("#setting_qcld_express_lang_sku").find('h3').html('SKU ( <strong style="color:red">Pro Feature</strong> )');
    $("#setting_qcld_express_lang_sku").attr("disabled",true);
    
    $("#setting_qcld_express_lang_thumbnail").find('h3').html('Thumbnail ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_thumbnail").attr("disabled",true);
    
    $("#setting_qcld_express_lang_title").find('h3').html('Title ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_title").attr("disabled",true);
    
    $("#setting_qcld_express_lang_desc").find('h3').html('Description ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_desc").attr("disabled",true);
    
    $("#setting_qcld_express_lang_availability").find('h3').html('Availability ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_availability").attr("disabled",true);
    
    $("#setting_qcld_express_lang_price").find('h3').html('Price ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_price").attr("disabled",true);
    
    $("#setting_qcld_express_lang_action").find('h3').html('Action ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_action").attr("disabled",true);
    
    $("#setting_qcld_express_lang_search").find('h3').html('Search ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_search").attr("disabled",true);
    
    $("#setting_qcld_express_lang_cart_summary").find('h3').html('Cart Summary ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_cart_summary").attr("disabled",true);
    
    $("#setting_qcld_express_lang_edit_on_cart").find('h3').html('Edit on Cart ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_edit_on_cart").attr("disabled",true);
    
    $("#setting_qcld_express_lang_checkout").find('h3').html('Checkout ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_checkout").attr("disabled",true);
    
    $("#setting_qcld_express_lang_no_products").find('h3').html('No products in the cart ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_no_products").attr("disabled",true);

    $("#setting_qcld_express_lang_cart_minimum_alert_1").find('h3').html('Minimum Price Alert Header 1 ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_cart_minimum_alert_1").attr("disabled",true);
    
    $("#setting_qcld_express_lang_cart_minimum_alert_2").find('h3').html('Minimum Price Alert Header 2 ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_cart_minimum_alert_2").attr("disabled",true);
    
    $("#setting_qcld_express_lang_alert_out_of_stock").find('h3').html('Out of Stock Alert ( <strong style="color:red">Pro Feature</strong> )');
    $("#qcld_express_lang_alert_out_of_stock").attr("disabled",true);

    $("#setting_qcld_express_helps .format-setting-label").find('h3').html('Open Close Hours ( <strong style="color:red">Pro Feature</strong> )');
    $("#setting_qcld_express_help .description").find('p').html('[qcld_express_shop]');
    

});